const fs = require("fs");
const path = require("path");
let progress = 10;

function copyFileSync(source, target, progressBar) {
    var targetFile = target;
    //if target is a directory a new file with the same name will be created
    if (fs.existsSync(target)) {
        if (fs.lstatSync(target).isDirectory()) {
            targetFile = path.join(target, path.basename(source));
        }
    }

    fs.writeFileSync(targetFile, fs.readFileSync(source));
    progress += 20;
    progressBar.update(progress);
}

function copyFolderRecursiveSync(source, target, progressBar) {
    var files = [];
    //check if folder needs to be created or integrated
    var targetFolder = path.join(target, path.basename(source));
    if (!fs.existsSync(targetFolder)) {
        fs.mkdirSync(targetFolder);
    }

    //copy
    if (fs.lstatSync(source).isDirectory()) {
        files = fs.readdirSync(source);
        files.forEach(function(file) {
            var curSource = path.join(source, file);
            if (fs.lstatSync(curSource).isDirectory()) {
                copyFolderRecursiveSync(curSource, targetFolder, progressBar);
            } else {
                copyFileSync(curSource, targetFolder, progressBar);
            }
        });
    }
}

module.exports = {
    copyFolderRecursiveSync
};
